# -*- coding: utf-8 -*-
db.define_table('t_facilitydata',
      Field('f_plantarea_total', type='float', requires=[IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None))],
            label=T('Area - Total Plant Area'), comment="m²"),
      Field('f_productionarea', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
            label=T('Area - Production Area'), comment="m²"),
      Field('f_reworkarea', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
            label=T('Area - Rework Area'), comment="m²"),
      Field('f_reworkarea_onepart', type='float',
            label=T('Area - Rework Area - Necessary Area for 1 Part'), comment="m²"),
      Field('f_reworkarea_parallelparts', type='float',
            label=T('Area - Rework Area - Parts reworked in Parallel'), comment="m²"),
      Field('f_storagearea', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
            label=T('Area - Storage Area'), comment="m²"),
      Field('f_transportarea', type='float', requires=IS_EMPTY_OR(IS_FLOAT_IN_RANGE(0,None)),
            label=T('Area - Transport Area'), comment="m²"),
      Field('f_compressedairconsumption', type='float',
            label=T('Compressed Air - Consumption per Minute'), comment=" l"),
      Field('f_compressedairconsumption_rework', type='float',
            label=T('Compressed Air - Consumption per Minute during Rework'), comment=" l"),
      Field('f_compressedairconsumption_total', type='float',
            label=T('Compressed Air - Consumption Total'), comment=" kWh/d"),
      Field('f_electricpowerconsumption_application', type='float',
            label=T('Electric Power - Consumption of Application per Hour'), comment="kW"),
      Field('f_electricpowerconsumption_application_total', type='float',
            label=T('Electric Power - Consumption of Application Total'), comment="kWh/d"),
      Field('f_electricpowerconsumption_network', type='float',
            label=T('Electric Power - Consumption of Communication Network per Hour'), comment="kW"),
      Field('f_electricpowerconsumption_network_total', type='float',
            label=T('Electric Power - Consumption of Communication Network Total'), comment="kWh/d"),
      Field('f_electricpowerconsumption_rework', type='float',
            label=T('Electric Power - Consumption of Rework per Hour'), comment="kW"),
      Field('f_electricpowerconsumption_rework_total', type='float',
            label=T('Electric Power - Consumption of Rework Total'), comment="kWh/d"),
      Field('f_electricpowerconsumption_total', type='float',
            label=T('Electric Power - Consumption Total'), comment="kWh/d"),
      Field('f_energyconsumption_total', type='float',
            label=T('Energy - Consumption Total'), comment="kWh/d"),
      Field('f_gasconsumption', type='float',
            label=T('Gas - Consumption per Hour'), comment=" btu/h"),
      Field('f_gasconsumption_total', type='float',
            label=T('Gas - Consumption Total'), comment="btu/d"),
      Field('f_waterconsumption', type='float',
            label=T('Water - Consumption per Hour'), comment="l/h"),
      Field('f_waterconsumption_total', type='float',
            label=T('Water - Consumption Total'), comment="l/d"),
      Field('f_pathsaccessible', type='integer',
          label=T('Paths - Accessible for Application')),
      Field('f_paths_over5m', type='integer',
          label=T('Paths - Number with Width over 2.5 Meter'),comment=" n°"),
      Field('f_paths_over35m', type='integer',
          label=T('Paths - Number with Width between 2 Meter and 2.5 Meter'),comment=" n°"),
      Field('f_paths_requiredwidth', type='double',
          label=T('Paths - Required Transport Width')),
      Field('f_paths_total', type='integer',
          label=T('Paths - Total Number'), comment=" n°"),
      migrate=settings.migrate)

##############################

db.define_table('t_economicFacilitydata',
        Field('f_costelectricpower', type='float',
            label=T('Electric Power - Cost'), comment="€/kWh"),
        Field('f_costcompressedair', type='float',
            label=T('Compressed Air - Cost'), comment="€/kWh"),
        Field('f_costgas', type='float',
            label=T('Gas - Cost'), comment="€/btu"),
        Field('f_costwater', type='float',
            label=T('Water - Cost'), comment="€/l"),
        Field('f_energytax', type='double',
            label=T('Energy - CO2 Tax'), comment="€/t"),
        Field('f_opex_consumption_application', type='float',
            label=T('opex_consumption_application')),
        Field('f_opex_consumption_network', type='float',
            label=T('opex_consumption_network')),
        Field('f_opex_facility', type='float',
            label=T('opex_facility')),
        migrate=settings.migrate)
